
Redmine - Patch #3614

Export to PDF/CSV ignoring custom queries and HTML query display problems

2009-07-14 17:07 - Alex Mendes Matt Keniston

Status: Closed Start date: 2009-07-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Redmine Development build

This is a solution to Defect #1190

It patches the bugs in 'Export to PDF' and 'Export to CSV' on the Issue page.

Previously, Redmine did not honor custom queries when exporting to PDF/CSV. Instead, it would either print minimal default

columns(PDF) or print all the columns(CSV).

This patch, correctly, displays the columns specified by the custom queries.

Additionally, we fixed an HTML display issue on the Issues page in redmine. Of what's fixed

1.) Custom fields will now wrap

2.) Custom text based fields are now left aligned

Related issues:

Related to Redmine - Defect #1190: Custom querry 'Export to PDF' ignores fiel... Closed 2008-05-06

History

#1 - 2009-07-19 07:05 - Abdul Nafay

Hi, i am new to Redmine. I need this feature bad but i dont know how to place this .diff file in Redmine root directory. From what i know i have to patch

this .diff file with original. I am using TortoiseSVN but i can't file the original file to patch with. If i am not in the right direction please point out and let

me know how to exactly get this fix working. I am using windows btw.

Much Appreciated!

AN

#2 - 2009-07-19 21:53 - Dirk Schmidt

In which release will be the feature included?

#3 - 2009-07-22 20:51 - Alex Mendes Matt Keniston

To apply the .diff file see

http://www.redmine.org/wiki/redmine/Patch

Note that you will need to download the Patch application if you are using Windows.

You also need to use Subversion(svn) to retrieve the Redmine Development build.

#4 - 2009-07-27 07:07 - Abdul Nafay

Thanks Alex,

Can you or somebody explain in a bit more step-by-step detail. I understand what you're saying here but it is just not working out for me. I am new to

this and i would really appreciate if you could explain this in a bit more detail. I also dont understand the SVN part. Are you stating i have to download

the SVN software? Y would i need to retrieve the Redmine Development Kit.

Thank you for your help!

AN

#5 - 2009-07-28 11:47 - Abdul Nafay

1) Downloaded patch program for windows. And from cmd, i went to directoy where redmine is installed (apps, config, test etc folders). Did command

"c:\bin\patch.exe -p0 < export_issues_to_pdf_csv.diff" This gave me a kind of strange statement that there is garbage in the file, something like this.

Btw my .diff file was in the folder where patch.exe application exists. After i failed here, i explored TortoiseSVN.
2) Alex Mendes told me that i have to use SVN to retrieve Redmine development build. Not sure why, I used Tortoise SVN and checkout

svn://rubyforge.org/var/svn/redmine/trunk . Files were downloaded to a new folder i created. I don't know what to do afterwards with all these files.

How can i get this patch working. I would really really appreciate if somebody could go out of way and explain it in detail how to patch in windows. I

searched everywhere but could not locate a single article explaining this. Everywhere i looked it was related to a specific tool. Its disturbing that the

patch instructions on this portal are just not useful for newbies.

Looking forward to your help. I'll appreciate it. Thanks!

Regards,

AN

#6 - 2009-07-28 14:42 - Dirk Schmidt

Hi Alex,

sorry for asking again but it would be very helpful for us to know in which target version the patch will be merged.

Could you give us this information?

Thanks in advance.

Regards,

Dirk

#7 - 2009-07-29 13:18 - Chris Grieger

- File export_issues_to_pdf_csv_r2823.diff added

I updated the patch to make it working for the current revision, as there were some errors, when trying to apply the patch.

#8 - 2009-07-29 13:30 - Chris Grieger

- File export_issues_to_pdf_csv_r2823_win32.diff added

This file is for Windows users. It has LF characters converted into CRLF, so the w32 version of patch doesn't fail.

#9 - 2009-07-30 22:41 - Alex Mendes Matt Keniston

The initial fix that we wrote was for the Redmine Development Version from

svn co http://redmine.rubyforge.org/svn/trunk redmine

But it can just as easily be used for the latest stable version by removing the group related code as Chris Grieger appears to have done.

#10 - 2009-08-17 18:31 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Fixed in r2841.

#11 - 2009-11-08 00:45 - Romuald Vandepoel

- Status changed from Closed to Reopened

guys, I am running 8.6 and this is not fixed at all.

also, I can not patch from this release with the supplied diff. what are the possibilities?

#12 - 2009-11-08 17:31 - Jean-Philippe Lang

- Status changed from Reopened to Closed

See #1190.

#13 - 2011-02-01 17:15 - Chrisitian Noack

- File wrap-lines-on-pdf-export-rm1_0_4.patch added

I've managed to modify the last patch called export_issues_to_pdf_csv.diff by Alex Mendes Matt Kenisto to work with RubyMine 1.0.4 stable. You find

my patch file (wrap-lines-on-pdf-export-rm1_0_4.patch) attached. It also contains some useless reformatting which my IDE (RubyMine) did. I'm sorry

for that.
Best regards,

Christian

#14 - 2011-02-28 14:51 - Luis Serrano Aranda

Chrisitian very good patch, it would be possible to put the project name in all footers?

thanks in advance

#15 - 2011-03-01 12:09 - Luis Serrano Aranda

Luis Serrano Aranda wrote:

Chrisitian very good patch, it would be possible to put the project name in all footers?

thanks in advance

 I removed the part of the function def gantt_to_pdf now is in the gantt helper (redmine/lib/redmine/helpers/gantt.rb)

And add in pdf.rb

Line 33: +      attr_accessor :footer_title

Line 120: -     Cell(0, 5, @footer_title, 0, 0, 'L')

+     Cell(0, 5, @footer_title + ' (' + @footer_date + ')', 0, 0, 'L')

Line 135: +     pdf.footer_title = title

Line 261: +     pdf.footer_title = ("#{issue.project} - ##{issue.tracker} #{issue.id}")

And in gantt.rb

Line 591: +     pdf.footer_title = ("#{l(:label_gantt)} #{project}")

Files

export_issues_to_pdf_csv.diff 32.3 KB 2009-07-14 Alex Mendes Matt Keniston

export_issues_to_pdf_csv_r2823.diff 28.2 KB 2009-07-29 Chris Grieger

export_issues_to_pdf_csv_r2823_win32.diff 29 KB 2009-07-29 Chris Grieger

wrap-lines-on-pdf-export-rm1_0_4.patch 25.1 KB 2011-02-01 Chrisitian Noack
